# GNUmakefile          Section: 9.3 Histogram & 9.4 Cumulative Histogram
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-histogram.o


HEADERS = histogram.h
LOBJS   =

SOURCES	= closure-histogram.c  histogram.h  histogram.c \
	  test-histogram-iter.c  test-cumulative-histogram-iter.c
TESTS	= test-histogram-iter  test-cumulative-histogram-iter

ARL =
EXTRAINCLUDES =
CPPFLAGS      =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip


#######################################################################

include ../../gnumake.iah

#######################################################################


#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)

histogram.srcs:		histogram.h  histogram.c

test-histogram-iter.o: test-histogram-iter.c	  histogram.srcs

test-histogram-iter:	test-histogram-iter.o
	${LINK.cc} -o $@ $@.o  ${LDLIBS}
	strip $@

test-cumulative-histogram-iter.o: \
		test-cumulative-histogram-iter.c  histogram.srcs

test-cumulative-histogram-iter:		test-cumulative-histogram-iter.o
	${LINK.cc} -o $@ $@.o  ${LDLIBS}
	strip $@


closure-histogram.o:	closure-histogram.c  histogram.srcs

closure-histogram:	closure-histogram.o
	${LINK.cc} -o $@ $@.o ${LDLIBS}
	strip $@

else

test-histogram-iter.o:	test-histogram-iter.c

test-cumulative-histogram-iter.o:	test-cumulative-histogram-iter.c

endif
